Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5370 - RPM doesnt work with pathnames with spaces
Summary: RPM doesnt work with pathnames with spaces
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-26 01:59 UTC by vharvey
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-03 12:23:50 UTC


Attachments (Terms of Use)

Description vharvey 1999-09-26 01:59:43 UTC
I tried building an rpm from a tarball, and it failed. The
tarball was in a directory called "New GNOME Sources". It
found the spec, I guess, but failed with this message:

Macro % has illegal name (%define)
Executing: %prep
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd /usr/src/redhat/BUILD
+ rm -rf Gtk---1.0.2
+ /bin/gzip -dc /home/vincent/.gnome-desktop/New
Gnome/Gtk---1.0.2.tar.gz
/home/vincent/.gnome-desktop/New.gz: No such file or
directory
Gnome/Gtk---1.0.2.tar.gz: No such file or directory
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd Gtk---1.0.2
/var/tmp/rpm-tmp.16971: cd: Gtk---1.0.2: No such file or
directory
Bad exit status from /var/tmp/rpm-tmp.16971 (%prep)

The reason I rate this high is becuase it seems like a real
embarrasing mistake, that I would bet is easily fixable.

Comment 1 Jeff Johnson 1999-09-26 13:23:59 UTC
Can you supply the specfile (just reply to this message with
spec file attached). Thanks.

Comment 2 Jeff Johnson 1999-10-01 19:20:59 UTC
Support for build configurations with pathnames with embedded
spaces has never been supported. If you insist on embedded spaces,
you might try escaping the spaces in you ~/.rpmmacros file.

Meanwhile, the spec file that you've included has another problem.
Macro expansion in rpm is *entirely* context free. That means that
a %define will be recognized in comments, inside strings, within
the false part of %ifarch, everywhere. You might want to try
defining it from the command line during the build as
	--define 'STATIC ...'


Note You need to log in before you can comment on or make changes to this bug.